### Method

# Gimp Vector3 sub_val

#### Declaration [src]

    GimpVector3
    gimp_vector3_sub_val (
      GimpVector3 vector1,
      GimpVector3 vector2
    )

#### Description [src]

This function is identical to `gimp_vector3_sub()` but the vectors are passed by value rather than by reference.

#### Parameters

`vector2`

  Type: `GimpVector3`

  A `GimpVector3`.

#### Return value

Type: `GimpVector3`

The resulting `GimpVector3`.